-------------------------------------------------------------------------
-- Joseph Zambreno
-- Department of Electrical and Computer Engineering
-- Iowa State University
-------------------------------------------------------------------------


-- Comparator.vhd
-------------------------------------------------------------------------
-- DESCRIPTION: This file contains an implementation of a less than
-- comparator operating on gDATA_WIDTH sized variables.
--
--
-- NOTES:
-- 8/24/06 by JAZ::Design created.
-------------------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity Comparator is

  generic(gDATA_WIDTH   : natural := 8);
  port(iCLK             : in std_logic;
       iA               : in std_logic_vector(gDATA_WIDTH-1 downto 0);
       iB               : in std_logic_vector(gDATA_WIDTH-1 downto 0);
       oL               : out std_logic_vector(gDATA_WIDTH-1 downto 0);
       oH               : out std_logic_vector(gDATA_WIDTH-1 downto 0));

end Comparator;

architecture behavior of Comparator is
begin

  process(iCLK, iA, iB)
  begin
    if rising_edge(iCLK) then
      if (iA < iB) then
        oL <= iA;
        oH <= iB;
      else
        oL <= iB;
        oH <= iA;
      end if;
    end if;
  end process;
  
end behavior;
