# Joseph Zambreno
# Department of Electrical and Computer Engineering
# Iowa State University

####################################################
# Simulate the bubblesort and view some signals
####################################################
vsim work.bubblesort
view signals
add wave -r /*

####################################################
# Create a clock signal with a period of 10ns
####################################################
force -freeze sim:/bubblesort/iclk 1 0, 0 {5 ns} -r 10ns

####################################################
# The bus is 8 bits wide, and we need 8 8-bit data
# elements. So send 8 cycles of iDATA and iLOAD 
# signals.
####################################################
force -freeze sim:/bubblesort/idata 16#4f 0
force -freeze sim:/bubblesort/iload 1 0
run 10ns

force -freeze sim:/bubblesort/idata 16#3f 0
force -freeze sim:/bubblesort/iload 1 0
run 10ns

force -freeze sim:/bubblesort/idata 16#2f 0
force -freeze sim:/bubblesort/iload 1 0
run 10ns

force -freeze sim:/bubblesort/idata 16#1f 0
force -freeze sim:/bubblesort/iload 1 0
run 10ns

force -freeze sim:/bubblesort/idata 16#0f 0
force -freeze sim:/bubblesort/iload 1 0
run 10ns

force -freeze sim:/bubblesort/idata 16#0A 0
force -freeze sim:/bubblesort/iload 1 0
run 10ns

force -freeze sim:/bubblesort/idata 16#08 0
force -freeze sim:/bubblesort/iload 1 0
run 10ns

force -freeze sim:/bubblesort/idata 16#06 0
force -freeze sim:/bubblesort/iload 1 0
run 10ns

####################################################
# Run for some time and wait look for the output
####################################################
force -freeze sim:/bubblesort/iload 0 0
run 200ns